package com.atlassian.bitbucket.mesh.repository;

import javax.annotation.Nonnull;

import static java.util.Objects.requireNonNull;

public abstract class RepositoryEvent {

    private final Repository repository;

    protected RepositoryEvent(@Nonnull Repository repository) {
        this.repository = requireNonNull(repository, "repository");
    }

    @Nonnull
    public Repository getRepository() {
        return repository;
    }
}
